Skip to main content
POST
/
v1
/
workflow_run
/
cancel
curl --request POST \
  --url 'https://hub.suprsend.com/v1/workflow_run/cancel/' \
  --header 'Authorization: Bearer __your_api_key__' \
  --header 'Content-Type: application/json' \
  --data '{
    "execution_id": "dsl_xxxx-xxxx-xxxx-xxxx"
  }'
{
  "execution_ids": [
    "dsl_xxxx-xxxx-xxxx-xxxx"
  ]
}

Authorizations

Authorization
string
header
required

Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.

Body

application/json

Filter parameters to identify workflow runs to cancel. At least one parameter must be provided. When multiple parameters are passed, they are ANDed together.

execution_id
string

Unique execution identifier of the workflow run to cancel. You can find this in the workflow logs on the SuprSend dashboard.

Example:

"dsl_xxxx-xxxx-xxxx-xxxx"

recipients
string[]

List of recipient identifiers (distinct_id or contact info) whose workflow runs should be cancelled.

Example:
["user_123", "user@example.com"]
tenant_id
string

Tenant identifier to filter workflow runs by tenant.

Example:

"tenant_abc"

idempotency_key
string

Idempotency key that was passed when triggering the workflow. Use this to cancel a specific workflow triggered with a known idempotency key.

Example:

"a1b2c3d4-xxxx-xxxx-xxxx-ef0123456789"

workflow_slug
string

Slug of the workflow whose runs should be cancelled.

Example:

"order-confirmation"

Response

200 - OK

execution_ids
string[]

List of workflow execution IDs that were successfully cancelled. Empty array if no matching workflow runs were found.

Unique execution identifier of the cancelled workflow run.

Example:
["dsl_xxxx-xxxx-xxxx-xxxx"]